Texa Desk Application API · Conversations
Add Labels
POST/
Add labels to a conversation. Note that this API would overwrite the existing list of labels associated to the conversation.
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
conversation_idintegerrequiredThe numeric ID of the conversation
Body application/json
labelsarray of stringrequiredArray of labels (comma-separated strings)
Responses
200Success
payloadarray of stringArray of labels
404Conversation not found
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring401Unauthorized
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring